Bug 1415404 (kaddressbook)

Summary: Review Request: kaddressbook - Contact Manager
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: Christian Dersch <lupinix.fedora>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lupinix.fedora, package-review
Target Milestone: ---Flags: lupinix.fedora: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-23 17:35:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 656997    

Description Rex Dieter 2017-01-21 16:20:03 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kaddressbook.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kde-apps/kaddressbook-16.12.1-1.fc25.src.rpm
Description: KAddressBook stores all the personal details of your family, friends
and other contacts.
Fedora Account System Username: rdieter

Comment 1 Christian Dersch 2017-01-21 22:05:09 UTC
Approved, just same as for the other reviews (R: hicolor-icon-theme might be nice)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

==> are plugins => fine

[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v2 or later)
     (with Qt exception)", "Unknown or generated". 6 files have unknown
     license. Detailed output of licensecheck in
     /home/review/1415404-kaddressbook/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/kservices5/kontact,
     /usr/share/kontact, /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/16x16, /usr/share/kxmlgui5,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor, /usr/share/kontact/ksettingsdialog
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in kaddressbook
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.

==> Due to qt5-qtwebengine we are limited to ExclusiveArch: %{qt5_qtwebengine_arches}

[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     kaddressbook-libs , kaddressbook-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

==> Due to qt5-qtwebengine we are limited to ExclusiveArch: %{qt5_qtwebengine_arches}

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kaddressbook-16.12.1-1.fc26.x86_64.rpm
          kaddressbook-libs-16.12.1-1.fc26.x86_64.rpm
          kaddressbook-debuginfo-16.12.1-1.fc26.x86_64.rpm
          kaddressbook-16.12.1-1.fc26.src.rpm
kaddressbook.x86_64: W: no-documentation
kaddressbook.x86_64: W: non-conffile-in-etc /etc/xdg/kaddressbook.categories
kaddressbook.x86_64: W: non-conffile-in-etc /etc/xdg/kaddressbook.renamecategories
kaddressbook.x86_64: W: non-conffile-in-etc /etc/xdg/kaddressbook_themes.knsrc
kaddressbook.x86_64: W: no-manual-page-for-binary kaddressbook
kaddressbook-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kaddressbook-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kaddressbook-libs.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: kaddressbook-debuginfo-16.12.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
kaddressbook.x86_64: W: no-documentation
kaddressbook.x86_64: W: non-conffile-in-etc /etc/xdg/kaddressbook.categories
kaddressbook.x86_64: W: non-conffile-in-etc /etc/xdg/kaddressbook.renamecategories
kaddressbook.x86_64: W: non-conffile-in-etc /etc/xdg/kaddressbook_themes.knsrc
kaddressbook.x86_64: W: no-manual-page-for-binary kaddressbook
kaddressbook-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kaddressbook-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libKF5KIOWidgets.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libKF5JobWidgets.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libKF5KIOCore.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libQt5Network.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libKF5IconThemes.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libKF5Auth.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libGrantlee_Templates.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libKF5Service.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libKF5Codecs.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libQt5Xml.so.5
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libqgpgme.so.7
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libgpgmepp.so.6
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libpthread.so.0
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libgpgme.so.11
kaddressbook-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookprivate.so.5.4.1 /lib64/libm.so.6
kaddressbook-libs.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 23 warnings.



Requires
--------
kaddressbook (rpmlib, GLIBC filtered):
    /bin/sh
    kaddressbook-libs(x86-64)
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5KaddressbookImportExport.so.5()(64bit)
    libKF5KontactInterface.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkaddressbookprivate.so.5()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kaddressbook-debuginfo (rpmlib, GLIBC filtered):

kaddressbook-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    kaddressbook
    libGrantlee_Templates.so.5()(64bit)
    libKF5AkonadiContact.so.5()(64bit)
    libKF5AkonadiCore.so.5()(64bit)
    libKF5AkonadiSearchDebug.so.5()(64bit)
    libKF5AkonadiWidgets.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5GrantleeTheme.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5ItemModels.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KCMUtils.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5KaddressbookGrantlee.so.5()(64bit)
    libKF5KaddressbookImportExport.so.5()(64bit)
    libKF5KontactInterface.so.5()(64bit)
    libKF5Libkdepim.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5PimCommon.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgpgme.so.11()(64bit)
    libgpgmepp.so.6()(64bit)
    libkaddressbookprivate.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqgpgme.so.7()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
kaddressbook:
    appdata()
    appdata(org.kde.kaddressbook.appdata.xml)
    application()
    application(kaddressbook-importer.desktop)
    application(org.kde.kaddressbook.desktop)
    kaddressbook
    kaddressbook(x86-64)
    mimehandler(text/vcard)
    mimehandler(text/x-ldif)

kaddressbook-debuginfo:
    kaddressbook-debuginfo
    kaddressbook-debuginfo(x86-64)

kaddressbook-libs:
    kaddressbook-libs
    kaddressbook-libs(x86-64)
    libkaddressbookprivate.so.5()(64bit)



Unversioned so-files
--------------------
kaddressbook-libs: /usr/lib64/qt5/plugins/kaddressbook_config_plugins.so
kaddressbook-libs: /usr/lib64/qt5/plugins/kaddressbookpart.so
kaddressbook-libs: /usr/lib64/qt5/plugins/kontact_kaddressbookplugin.so

Source checksums
----------------
http://download.kde.org/stable/applications/16.12.1/src/kaddressbook-16.12.1.tar.xz :
  CHECKSUM(SHA256) this package     : 59e5c237c36dce8c494ecf39229f4d297c6d5f09c0f8c990dfde4157bf9b4d93
  CHECKSUM(SHA256) upstream package : 59e5c237c36dce8c494ecf39229f4d297c6d5f09c0f8c990dfde4157bf9b4d93


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1415404
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2017-01-23 16:03:17 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kaddressbook

Comment 3 Rex Dieter 2017-01-23 17:35:25 UTC
imported, thanks.